gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Structs.ColorStop

Contents

- Exported types
- Methods
- Properties
  - color
  - offset

Description

A color stop in a gradient node.

Synopsis

- newtype ColorStop = ColorStop (ManagedPtr ColorStop)
- newZeroColorStop :: MonadIO m => m ColorStop
- getColorStopColor :: MonadIO m => ColorStop -> m RGBA
- getColorStopOffset :: MonadIO m => ColorStop -> m Float
- setColorStopOffset :: MonadIO m => ColorStop -> Float -> m ()

# Exported types

newtype ColorStop Source #

Memory-managed wrapper type.

Constructors

ColorStop (ManagedPtr ColorStop) |

#### Instances

Instances details

Eq ColorStop Source # |
Instance details Defined in GI.Gsk.Structs.ColorStop Methods (==) :: ColorStop -> ColorStop -> Bool Source # (/=) :: ColorStop -> ColorStop -> Bool Source #
BoxedPtr ColorStop Source # |
Instance details Defined in GI.Gsk.Structs.ColorStop Methods boxedPtrCopy :: ColorStop -> IO ColorStop Source # boxedPtrFree :: ColorStop -> IO () Source #
CallocPtr ColorStop Source # |
Instance details Defined in GI.Gsk.Structs.ColorStop Methods boxedPtrCalloc :: IO (Ptr ColorStop) Source #
ManagedPtrNewtype ColorStop Source # |
Instance details Defined in GI.Gsk.Structs.ColorStop Methods toManagedPtr :: ColorStop -> ManagedPtr ColorStop Source #
tag ~ 'AttrSet => Constructible ColorStop tag Source # |
Instance details Defined in GI.Gsk.Structs.ColorStop Methods new :: MonadIO m => (ManagedPtr ColorStop -> ColorStop) -> [AttrOp ColorStop tag] -> m ColorStop Source #

newZeroColorStop :: MonadIO m => m ColorStop Source #

Construct a `ColorStop` struct initialized to zero.

# Methods

# Properties

## color

the color at the given offset

getColorStopColor :: MonadIO m => ColorStop -> m RGBA Source #

Get the value of the “`color`” field. When overloading is enabled, this is equivalent to

    get colorStop #color

## offset

the offset of the color stop

getColorStopOffset :: MonadIO m => ColorStop -> m Float Source #

Get the value of the “`offset`” field. When overloading is enabled, this is equivalent to

    get colorStop #offset

setColorStopOffset :: MonadIO m => ColorStop -> Float -> m () Source #

Set the value of the “`offset`” field. When overloading is enabled, this is equivalent to

    set colorStop [ #offset := value ]